<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'gurukul' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>20
	)
);
// ENABLE/DISABLE FEATURED SECTION
/*$wp_customize->add_setting(
	'lz_fitness_premium_contactus_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_contactus_section_disable',
		array(
			'settings'      => 'lz_fitness_premium_contactus_section_disable',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Show Title and description at top', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contactus_title_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text'
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_contactus_title_heading',
		array(
			'settings'      => 'lz_fitness_contactus_title_heading',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Title & Description', 'gurukul' ),
		)
	)
);
// CONTACT US PAGE TITLE
$wp_customize->add_setting('lz_fitness_contactus_title', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_title', array('settings'=>'lz_fitness_contactus_title', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('contactus page title', 'gurukul')));
*/
$wp_customize->add_setting('lz_fitness_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_address_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_address_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);

$section = 'lz_fitness_premium_contactus_section';
// contactus PAGE address
// $wp_customize->add_setting('lz_fitness_contactus_address', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
// $wp_customize->add_control('lz_fitness_contactus_address', array('settings'=>'lz_fitness_contactus_address', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Contact Us Address', 'gurukul')));

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'lz_fitness_contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_addrress',
	array(
		'settings'      => 'lz_fitness_contactus_addrress',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Address', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_address', $section, 'textarea', $label="Contact Us Address", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

// contact us email 
$wp_customize->add_setting(
	'lz_fitness_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_emailid',
	array(
		'settings'      => 'lz_fitness_contactus_emailid',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'EmailType', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_fitness_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_phhone',
	array(
		'settings'      => 'lz_fitness_contactus_phhone',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '+1 565 565 656565');
//Contact Details Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailtitleColor', 'lz_fitness_premium_contactus_section', 'Contact Details Title Color', '#444');
//Contact Details Information color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailinfoColor', 'lz_fitness_premium_contactus_section', 'Contact Details Information Color', '#444');
//Contact Details Email color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailemailColor', 'lz_fitness_premium_contactus_section', 'Contact Details Email Color', '#f4b601');

// contact us form shortcode 
$wp_customize->add_setting('lz_fitness_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_shortcode_lbl', array('settings'=>'lz_fitness_contactus_shortcode_lbl', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'gurukul')));

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

//Form Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtitleColor', 'lz_fitness_premium_contactus_section', 'Form Title Color', '#fff');

//Form Background color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbgColor', 'lz_fitness_premium_contactus_section', 'Form Background Color', '#f4b601');
//Button color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnColor', 'lz_fitness_premium_contactus_section', 'Form Button Color', '#f4b601');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_iframe_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_contactus_embade', array('settings'=>'lz_fitness_contactus_embade', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'gurukul')));

// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('lz_fitness_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_sm_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_sm_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'gurukul' ),
		)
	)
);

$wp_customize->add_setting(
	'lz_fitness_contactus_socialtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_socialtitle',
	array(
		'settings'      => 'lz_fitness_contactus_socialtitle',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Title', 'lz-fitness-premium' )
	)
);

// FACEBOOK 
$wp_customize->add_setting('lz_fitness_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_facebook',
	array(
		'settings'      => 'lz_fitness_contactus_facebook',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_twitter',
	array(
		'settings'      => 'lz_fitness_contactus_twitter',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_contactus_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_instagram',
	array(
		'settings'      => 'lz_fitness_contactus_instagram',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_linkedin',
	array(
		'settings'      => 'lz_fitness_contactus_linkedin',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);

// Youtube IN
$wp_customize->add_setting('lz_fitness_contactus_youtube',array('default'=> 'https://www.youtube.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_youtube',
	array(
		'settings'      => 'lz_fitness_contactus_youtube',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Youtube Url', 'gurukul' )
	)
);
//Social Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialtitleColor', 'lz_fitness_premium_contactus_section', 'Social Title Color', '#303030');

//Social Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTitleColor', 'lz_fitness_premium_contactus_section', 'Social Icon Color', '#303030');
